Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.providers.authorization
Interface DefaultRoleMapperMBean

public interface DefaultRoleMapperMBean
extends weblogic.management.commo.StandardInterface, DeployableRoleMapperMBean, RoleEditorMBean, PredicateEditorMBean

This MBean represents configuration attributes for the WebLogic Role Mapping provider.

Method Summary
`java.lang.String` | `getDescription()` A short description of the WebLogic Role Mapping provider.
`java.lang.String` | `getProviderClassName()` The name of the Java class used to load the WebLogic Role Mapping provider.
`java.lang.String` | `getVersion()` The version number of the WebLogic Role Mapping provider.

Methods inherited from interface weblogic.management.security.authorization.DeployableRoleMapperMBean
`isRoleDeploymentEnabled, setRoleDeploymentEnabled`

Methods inherited from interface weblogic.management.security.authorization.RoleEditorMBean
`createRole, removeRole, setRoleExpression`

Methods inherited from interface weblogic.security.providers.authorization.PredicateEditorMBean
`registerPredicate, unregisterPredicate`

Methods inherited from interface weblogic.management.security.ProviderMBean
`getRealm, setRealm`

Methods inherited from interface weblogic.management.security.authorization.RoleReaderMBean
`getRoleExpression, listRolesForResource, roleExists`

Methods inherited from interface weblogic.security.providers.authorization.PredicateReaderMBean
`getPredArgumentAllowedValues, getPredArgumentCount, getPredArgumentDefValue, getPredArgumentDescription, getPredArgumentMaxValue, getPredArgumentMinValue, getPredArgumentName, getPredArgumentType, getPredicateDescription, getPredicateDisplayName, getRegisteredPredicates, isPredArgumentValid, isRegisteredPredicate`

Method Detail

### getProviderClassName

    public java.lang.String getProviderClassName()

  The name of the Java class used to load the WebLogic Role Mapping provider.

  Default Value: "weblogic.security.providers.authorization.DefaultRoleMapperProviderImpl"

### getDescription

    public java.lang.String getDescription()

  A short description of the WebLogic Role Mapping provider.

  Default Value: "Weblogic Role Mapping Provider"

### getVersion

    public java.lang.String getVersion()

  The version number of the WebLogic Role Mapping provider.

  Default Value: "1.0"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference